repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.0.1
    hooks:
      - id: check-added-large-files
      - id: check-ast
      - id: check-merge-conflict
      - id: check-yaml
        args:
          - --allow-multiple-documents
      - id: detect-private-key
      - id: end-of-file-fixer
      - id: trailing-whitespace
      - id: debug-statements
  - repo: https://github.com/jumanjihouse/pre-commit-hooks
    rev: 2.1.5
    hooks:
      - id: shellcheck
      - id: shfmt
        args:
          - "-i"
          - "2"
          - "-ci"
  - repo: https://github.com/hadolint/hadolint
    rev: v1.23.0
    hooks:
      - id: hadolint-docker
  - repo: https://github.com/timothycrosley/isort
    # Sorts import statements for you
    rev: 5.0.9
    hooks:
      - id: isort
  - repo: https://github.com/zricethezav/gitleaks
    rev: v8.2.0
    hooks:
      - id: gitleaks
